Fetch reports by report group.
get
/spms/v2/ships/{shipId}/configurations/reportings
This is to retrive the list of available report assocaited with a specific report group.
Request
Supported Media Types
- application/json
Path Parameters
-
shipId(required): number
Ship Id
Query Parameters
-
limit: integer(int32)
Minimum Value:
1Paging limit -
offset: integer(int32)
Minimum Value:
0Paging offset -
orderBy: string
order by reportGroup, reportName with format column1:asc/desc
-
reportGroup: string
Report Group
Response
Supported Media Types
- application/json
200 Response
OK
Root Schema : ReportResponseBody
Type:
objectTitle:
Show Source
ReportResponseBody-
count:
number
The total number of items in the list.Example:
3 -
hasMore:
boolean
Flag which indicates whether or not there are more items.Example:
false -
items:
array items
-
limit:
number
Paging limitExample:
5 -
offset:
number
Paging offsetExample:
10
Nested Schema : reportGroupResponse
Type:
objectreportGroup
Show Source
-
reportCode:
string
Maximum Length:
20Report CodeExample:CrewCard1 -
reportGroup:
string
Maximum Length:
50Report GroupExample:Passenger Invoices -
reportName:
string
Maximum Length:
100Report NameExample:Crew ID Card
204 Response
No Content
400 Response
Bad Request
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"HTTP://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.1",
"title":"Bad Request",
"detail":"The parameter 'reservationId' has incorrect format"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
401 Response
Unauthorized
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.2",
"title":"Unauthorized",
"detail":"Valid token is required to access this resource"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
403 Response
Forbidden
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"HTTP://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.4",
"title":"Forbidden",
"detail":"Access to this resource is forbidden"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
404 Response
Not Found
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"title":"Not Found",
"type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.5",
"detail":"Ship 186000000404 was not found"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
405 Response
Method Not Allowed
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.6",
"title":"Method Not Allowed",
"detail":"HTTP method not supported for this resource"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
406 Response
Not Acceptable
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.7",
"title":"Not Acceptable",
"detail":"Request a Mime type that is supported for this Resource"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
410 Response
Gone
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.11",
"title":"Gone",
"detail":"Requested Resource no longer exists"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
415 Response
Unsupported Media Type
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"title":"Invalid content",
"type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.16",
"detail":"Content type not supported"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
500 Response
Internal Server Error
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.5.1",
"title":"Internal Server Error",
"detail":"Issue fulfilling request. Please retry or contact support"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
501 Response
Not Implemented
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.5.2",
"title":"Not implemented",
"detail":"Resource is not implemented in this version of the API"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
503 Response
Service Unavailable
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.5.4",
"title":"Service Unavailable",
"detail":"Service not available"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source